## nova 17.0.9

=== debian/changelog ===
nova (2:17.0.9-0ubuntu3) bionic; urgency=medium

  * d/p/bug_1825882.patch: Cherry-picked from upstream to ensure
    virsh disk attach does not fail silently (LP: #1825882).
  * d/p/bug_1826523.patch: Cherry-picked from upstream to ensure
    always disconnect volumes after libvirt exceptions (LP: #1826523).

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Thu, 16 May 2019 11:06:11 +0200

nova (2:17.0.9-0ubuntu2) bionic; urgency=medium

  * d/p/xenapi-agent-change-openssl-error-handling.patch: Cherry-picked from
    upstream to ensure xenapi agent only raises a RuntimeError exception
    when openssl returns a non-zero exit code (LP: #1771506).
  * d/p/skip-double-word-hacking-test.patch: Cherry-picked from upstream
    to work-around test_hacking failures with new versions of python
    (LP: #1782786).

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 01 May 2019 17:24:26 -0400

nova (2:17.0.9-0ubuntu1) bionic; urgency=medium

  * New stable point release for OpenStack Queens (LP: #1818069).
  * Remove patch disk-size-live-migration-overcommit, already
    on tree.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Wed, 06 Mar 2019 10:30:05 +0100

nova (2:17.0.7-0ubuntu2) bionic; urgency=medium

  * d/p/ensure-rbd-auth-fallback-uses-matching-credentials.patch: Cherry-
    picked from upstream to ensure ceph backend continues to work for upgrades
    from pre-Ocata (LP: #1809454).

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 07 Jan 2019 14:54:42 -0500

nova (2:17.0.7-0ubuntu1) bionic; urgency=medium

  * d/p/disk-size-live-migration-overcommit.patch: Cherry-picked from
    https://review.openstack.org/#/c/602478 to ensure proper disk calculation
    during live migration with over-commit (LP: #1744079).
  * New stable point release for OpenStack Queens (LP: #1806043).

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 07 Dec 2018 08:27:02 -0500

nova (2:17.0.6-0ubuntu1) bionic; urgency=medium

  * New stable point release for OpenStack Queens (LP: #1795424).
    - d/p/mock-utils.execute-in-qemu-img-unit-test.patch: Dropped. Included
      in upstream stable point release.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 01 Oct 2018 11:42:25 -0400

nova (2:17.0.5-0ubuntu2) bionic; urgency=medium

  * d/control: Drop circular dependencies. nova-compute depends on
    nova-compute-* packages. nova-compute-* packages shouldn't depend
    on nova-compute. nova-compute-* should however depend on nova-common.
    (LP: #1761140).

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 27 Jun 2018 10:47:50 -0400

nova (2:17.0.5-0ubuntu1) bionic; urgency=medium

  * New stable point release for OpenStack Queens (LP: #1778747).
  * d/p/mock-utils.execute-in-qemu-img-unit-test.patch: Cherry-picked from
    upstream stable/queens branch to fix failing unit test (LP: #1765122).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 26 Jun 2018 11:55:44 -0400

nova (2:17.0.4-0ubuntu1) bionic; urgency=medium

  * New stable point release for OpenStack Queens (LP: #1771572).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 17 May 2018 16:32:56 -0400

nova (2:17.0.3-0ubuntu1) bionic; urgency=medium

  * New stable point release for OpenStack Queens (LP: #1767128).
  * d/p/arm-console-patch.patch: Rebased.
  * d/gbp.conf: Create stable/queens branch.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 02 May 2018 15:13:48 -0400
