## nova 17.0.10

=== debian/changelog ===
nova (2:17.0.10-0ubuntu2.1) bionic-security; urgency=medium

  [ Sahid Orentino Ferdjaoui ]
  * SECURITY UPDATE: ensure underlying environment details not leaked in
    server fault
    - d/p/CVE-2019-14433.patch: replace non-admin server fault message
      with exception type class name in nova/compute/utils.py.
    - CVE-2019-14433

 -- Steve Beattie <sbeattie@ubuntu.com>  Mon, 12 Aug 2019 17:34:12 -0700

nova (2:17.0.10-0ubuntu2) bionic; urgency=medium

  * Cherry-picked from upstream to ensure no stale
    allocations are left over on failed cold
    migrations (LP: #1821594).
    - d/p/bug_1821594_1.patch: Fix migration record status
    - d/p/bug_1821594_2.patch: Delete failed allocation part 1
    - d/p/bug_1821594_3.patch: Delete failed allocation part 2
    - d/p/bug_1821594_4.patch: New functional test

 -- Rodrigo Barbieri <rodrigo.barbieri@canonical.com>  Mon, 10 Jun 2019 13:20:41 +0000

nova (2:17.0.10-0ubuntu1) bionic; urgency=medium

  * New stable point release for OpenStack Queens (LP: #1830341).
  * d/p/ensure-rbd-auth-fallback-uses-matching-credentials.patch:
    Dropped. Fixed upstream in 17.0.10.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Fri, 24 May 2019 11:10:40 +0200
