## nova 17.0.12

=== debian/changelog ===
nova (2:17.0.12-0ubuntu1) bionic; urgency=medium

  * New stable point release for OpenStack Queens (LP: #1848302).
  * d/p/CVE-2019-14433.patch: Dropped. Fixed in 17.0.12.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Wed, 16 Oct 2019 10:18:07 +0200

nova (2:17.0.11-0ubuntu1) bionic; urgency=medium

  * New stable point release for OpenStack Queens (LP: #1838288).
  * d/p/xenapi-agent-change-openssl-error-handling.patch, bug_*.patch:
    Dropped. Fixed in 17.0.11.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 29 Jul 2019 11:45:29 -0400
