## nova 17.0.13

=== debian/changelog ===
nova (2:17.0.13-0ubuntu5.4) bionic; urgency=medium

  * Update keypairs when saving an instance (LP: #1843708)
    - d/p/objects-Update-keypairs-when-saving-an-instance.patch

 -- Zhang Hua <joshua.zhang@canonical.com>  Thu, 27 Apr 2023 04:21:53 +0800

nova (2:17.0.13-0ubuntu5.3) bionic-security; urgency=medium

  * SECURITY UPDATE: information disclosure vulnerability
    - debian/patches/CVE-2015-9543.patch: Mask the token used to allow
      access to consoles
    - CVE-2015-9543
  * SECURITY UPDATE: machine takeover vulnerability
    - debian/patches/CVE-2020-17376.patch: libvirt: Provide
      VIR_MIGRATE_PARAM_PERSIST_XML during live migration
    - CVE-2020-17376
  * SECURITY UPDATE: open redirect vulnerability
    - debian/patches/CVE-2021-3654-*.patch: Reject open redirection in the
      console proxy
    - CVE-2021-3654

 -- Nishit Majithia <nishit.majithia@canonical.com>  Fri, 10 Feb 2023 14:20:43 +0530

nova (2:17.0.13-0ubuntu5.2) bionic-security; urgency=medium

  * SECURITY UPDATE: Arbitrary file access
    - debian/patches/CVE-2022-47951.patch: Check VMDK create-type
      against an allowed list.
    - CVE-2022-47951

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 06 Feb 2023 08:21:41 -0500

nova (2:17.0.13-0ubuntu5) bionic; urgency=medium

  * Fixes API to disallow source compute service/node deletion while instances
    are pending a resize confirm/revert (LP: #1852610).
   - d/p/0001-lp1852610_Add_functional_recreate_test_for_bug_1829479_and_bug_1817833.patch
   - d/p/0002-lp1852610_Add_functional_recreate_test_for_bug_1852610.patch
   - d/p/0003-lp1852610_Add_functional_recreate_revert_resize_test_for_bug_1852610.patch
   - d/p/0004-lp1852610_api_allows_source_compute_service.patch

 -- Brett Milford <brett.milford@canonical.com>  Thu, 23 Jun 2022 16:41:00 +1000

nova (2:17.0.13-0ubuntu4) bionic; urgency=medium

  * d/p/libvirt-Ignore-DiskNotFound-during-update_available.patch: Ignore
    DiskNotFound during update_available_resource (LP: #1774249).

 -- Alin-Gabriel Serdean <alin.serdean@canonical.com>  Tue, 21 Sep 2021 18:29:56 +0000

nova (2:17.0.13-0ubuntu3) bionic; urgency=medium

  * Force refresh instance info_cache during heal (LP: #1751923):
    - d/p/0001-Force-refresh-instance-info_cache-during-heal.patch
    - d/p/0002-remove-deprecated-test_list_vifs_neutron_notimplemented.patch

 -- Jorge Niedbalski <jorge.niedbalski@canonical.com>  Mon, 17 May 2021 14:25:43 -0400

nova (2:17.0.13-0ubuntu2) bionic; urgency=medium

  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.
  * d/p/1892361-update-pci-stat-pools.patch: Cherry pick upstream fix
    for SRIOV instances (LP: #1892361).

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Thu, 08 Oct 2020 12:20:17 +0000

nova (2:17.0.13-0ubuntu1) bionic; urgency=medium

  * New stable point release for OpenStack Queens (LP: #1893234).

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Fri, 28 Aug 2020 12:10:08 +0000
