=== debian/control ===
--- 
+++ 
@@ -114,8 +114,8 @@
  python-cjson,
 Standards-Version: 4.1.2
 Homepage: http://launchpad.net/nova
-Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/nova
-Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/nova
+Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/nova
+Vcs-Git: git://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/nova
 XS-Testsuite: autopkgtest
 X-Python-Version: >= 2.7
