## nova 18.0.1

=== debian/changelog ===
nova (2:18.0.1-0ubuntu1) cosmic; urgency=medium

  * New stable point release for OpenStack Rocky.
  * d/p/skip-openssl-1.1.1-tests.patch: Skip tests for >= cosmic that fail
    with openssl 1.1.1 (LP: #1771506).
  * d/p/py3.7-get-context-manager-async.patch: Cherry-picked from upstream
    master. This is needed for py3.7 where async is a keyword (LP: #1788833).
  * d/rules: Skip py3.7 tests until they run successfully upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 03 Oct 2018 07:59:30 -0400

nova (2:18.0.0-0ubuntu5) cosmic; urgency=medium

  * d/control: Set min python-oslo.db to rocky version (4.40.0) as
    requirements.txt min version is too low (LP: #1793353).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 20 Sep 2018 11:26:53 +0200

nova (2:18.0.0-0ubuntu4) cosmic; urgency=medium

  * d/p/skip-py3.7-tests.patch: Update to skip test_check_doubled_words on
    all Python versions, working around hacking unit test failure with
    Python snapshots in Ubuntu Cosmic.

 -- James Page <james.page@ubuntu.com>  Wed, 05 Sep 2018 11:36:08 +0100

nova (2:18.0.0-0ubuntu3) cosmic; urgency=medium

  * d/control: nova-common - Add Breaks/Replaces on python-nova to
    resolve issue with upgrade from prior versions.

 -- James Page <james.page@ubuntu.com>  Tue, 04 Sep 2018 14:33:29 +0100

nova (2:18.0.0-0ubuntu2) cosmic; urgency=medium

  * Misc fixes for /etc/nova and -common moves:
    - d/control: Drop depends from -common to python-nova | python3-nova.
    - d/*.postinst: Ensure files in /etc/nova are root:nova owned, with
      0640 permissions for access.
    - d/*.postinst: Ensure files in /etc/nova/rootwrap.d are root:root
      owned with 0644 access.
  * d/control: Drop obsolete fields.
  * d/tests/control: Add needs-root, allow-stderr to py3 tests.

 -- James Page <james.page@ubuntu.com>  Fri, 31 Aug 2018 12:39:23 +0100

nova (2:18.0.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release for OpenStack Rocky.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 30 Aug 2018 10:28:12 -0400

nova (2:18.0.0~rc1-0ubuntu3) cosmic; urgency=medium

  * d/control: Drop Breaks/Replaces of glance-api as it was not intended
    (copy/paste fail).

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 17 Aug 2018 10:52:26 -0400

nova (2:18.0.0~rc1-0ubuntu2) cosmic; urgency=medium

  * d/control: Move python(3)-zvmcloudconnector from Suggests to Depends.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 17 Aug 2018 10:15:16 -0400

nova (2:18.0.0~rc1-0ubuntu1) cosmic; urgency=medium

  * New upstream milestone for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/fix-convert-image-test.patch: Dropped. Fixed in upstream milestone.
  * d/p/*: Rebased.
  * d/p/drop-sphinx-feature-classification.patch: Drop
    sphinx_feature_classification.support_matrix until package is available.
  * New upstream release candidate for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/py3.7-async-keyword.patch: Dropped. Fixed upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 10 Aug 2018 17:29:02 -0400

nova (2:18.0.0~b2-0ubuntu3) cosmic; urgency=medium

  * Add support for Python 3:
    - d/control: Add Py3 BDs and python3-nova package.
    - d/control: Support Py2 first and Py3 as alternative.
    - d/control: Move all python deps to python(3)-nova Depends.
    - d/control, d/rules, d/*.install: Move common files to nova-common
      and have python(3)-nova depend on it.
    - d/rules: Add Py3 support.
    - d/rules: Use pkgos-dh_auto_install as this helps name binaries for
      update-alternatives.
    - d/rules: Run tests with pkgos-dh_auto_test.
    - d/python-nova.install: Drop install of usr/lib/python*, not needed.
    - d/*.install: Drop usr/bin/* as pkgos-dh_auto_install handles
      install of those files.
    - d/python(3)-nova.post*, d/python(3)-nova.prerm: Add update-alternatives
      to enable correct shebangs for Python binaries.
    - d/tests/*: Enable Py3 tests for nova daemons and add shebang tests.
    - d/p/py3.7-async-keyword.patch: Cherry-pick from gerrit for py3.7
      compatibility.
    - d/p/skip-py3.7-tests.patch: Skip remaining 2 failing Py3.7 tests and
      file bug upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 16 Jul 2018 18:08:31 -0400

nova (2:18.0.0~b2-0ubuntu2) cosmic; urgency=medium

  * d/control: Drop circular dependencies. nova-compute depends on
    nova-compute-* packages. nova-compute-* packages shouldn't depend
    on nova-compute. nova-compute-* should however depend on nova-common.
    (LP: #1761140).

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 27 Jun 2018 10:40:01 -0400

nova (2:18.0.0~b2-0ubuntu1) cosmic; urgency=medium

  * New upstream milestone for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/mock-utils.execute-in-qemu-img-unit-test.patch: Dropped. Fixed in
    new upstream milestone.
  * d/p/*: Rebased.
  * d/control: Drop python-openstackdocstheme and python-wsgi-intercept BDs
    to min versions that are currently available.
  * d/p/fix-convert-image-test.patch: Fix mock in failing image convert test.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 13 Jun 2018 14:54:52 -0400

nova (2:18.0.0~b1-0ubuntu1) cosmic; urgency=medium

  * d/watch: Scope to 18.x series.
  * New upstream milestone for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.
  * d/control, d/rules: Update Standards-Version to 4.1.4.
  * d/watch, d/control, d/copyright: Use https URLs.
  * d/control: Drop obsolete XS-Testsuite: autopkgtest header.
  * d/control: Enable autopkgtest-pkg-python testsuite.
  * d/p/mock-utils.execute-in-qemu-img-unit-test.patch: Cherry-picked
    from upstream master branch to fix failing test.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 16 May 2018 14:51:23 -0400

nova (2:17.0.3-0ubuntu2) cosmic; urgency=medium

  * New stable point release for OpenStack Queens (LP: #1767128).
